[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Unable to build OpenLDAP with kerberos because of bug in configure script (ITS#3027)

At 11:32 AM 3/17/2004, boehm@nc.rr.com wrote:
>Full_Name: Eric M. Boehm
>Version: 2.1.25 and 2.2.6
>OS: Solaris 8
>URL: ftp://ftp.openldap.org/incoming/
>Submission from: (NULL) (
>There is a bug in the configure script as of OpenLDAP 2.1.25 and OpenLDAP 2.2.6
>Looking at lines 2802-2823 of configure for OpenLDAP 2.2.6, even if you specify
>--with-kerberos and --enable-kpasswd, configure never builds with kerberos
>because the code below sets --with-kerberos to no.

By design.  These configure options are deprecated as are
the features they use to enable.  Use {SASL} instead of
{KERBEROS}.  See FAQ/archives of the software list for
additional information.  This report will be closed as
not requiring further developer action.